---
title: BaseAudioContext.onstatechange
slug: Web/API/BaseAudioContext/onstatechange
tags:
  - API
  - Audio
  - AudioContext
  - BaseAudioContext
  - Event Handler
  - Reference
  - Web Audio API
  - onstatechange
---
<p>{{ APIRef("Web Audio API") }}</p>

<div>
<p>The <code>onstatechange</code> property of the {{ domxref("BaseAudioContext") }} interface defines an event handler function to be called when the {{Event("statechange")}} event fires: this occurs when the audio context's state changes.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">baseAudioContext.onstatechange = function() { ... };</pre>

<h2 id="Example">Example</h2>

<p>The following snippet is taken from our <a href="https://github.com/mdn/webaudio-examples">AudioContext states demo</a> (<a href="https://mdn.github.io/webaudio-examples/audiocontext-states/">see it running live</a>.) The <code>onstatechange</code> hander is used to log the current {{domxref("BaseAudioContext.state", "state")}} to the console every time it changes.</p>

<pre class="brush: js notranslate">audioCtx.onstatechange = function() {
  console.log(audioCtx.state);
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API', '#dom-baseaudiocontext-onstatechange', 'onstatechange')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>
<div>

<p>{{Compat("api.BaseAudioContext.onstatechange")}}</p>
</div>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web_Audio_API/Using_Web_Audio_API">Using the Web Audio API</a></li>
</ul>
